/*
  copyright(c) 2006 Miki Akiyoshi
  
  This file is part of Miki Memo.
  
  Miki Memo is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  Miki Memo is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with Miki Memo; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  
*/

package jp.dip.ikim.memo ;

import java.awt.* ;
import java.awt.event.* ;
import javax.swing.* ;
import jp.dip.ikim.core.* ;
import jp.dip.ikim.core.mkTextShape.ALIGN ;
import jp.dip.ikim.core.mkTextShape.VALIGN ;

public class mkAddGroupAction implements mkRectAction
{
    public void action(mkSimpleApplet app, double sx, double sy,
		       double ex, double ey) 
    {
	mkPoint[] poly = mkPolygonShape.get_points(sx, sy, ex-sx, ey-sy) ;

	mkCompound cdata = new mkCompound(new mkPolygonShape(poly)) ;

	cdata.set_line_color(app.config().getLineColor()) ;
	cdata.set_fill_color(null) ;
	cdata.set_text_color(app.config().getTextColor()) ;
	cdata.set_valign(VALIGN.TOP) ;
	cdata.set_align(ALIGN.LEFT) ;

	app.getScreen().get_tree().insertData(cdata) ;

	cdata.draw(app.getScreen()) ;

    }
}

