/*
  copyright(c) 2006 Miki Akiyoshi
  
  This file is part of Miki Memo.
  
  Miki Memo is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  Miki Memo is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with Miki Memo; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  
*/

package jp.dip.ikim.memo ;


import java.util.* ;
import java.awt.* ;
import java.awt.event.* ;
import javax.swing.* ;
import java.beans.* ;
import java.io.* ;
import java.util.prefs.Preferences ;
import jp.dip.ikim.core.* ;

public class mkMemo  implements Serializable, Cloneable
{
    static final long serialVersionUID = 266624597439479671L;

    Object[] _oarray ;

    public mkMemo()
    {

    }

    public mkMemo(DefaultListModel lmodel)
    {
	_oarray = new Object[lmodel.getSize()] ;

	lmodel.copyInto(_oarray) ;

    }

    public DefaultListModel createModel()
    {
	DefaultListModel lm = new DefaultListModel() ;

	for(int i = 0; i < _oarray.length; i++){
	    lm.addElement(_oarray[i]) ;
	}

	return lm ;
    }

    public  Object clone() 
    {
	try {
	    mkMemo other = (mkMemo )super.clone();
	    return other;
	} catch (Exception e) {
	    // this shouldn't happen, since we are Cloneable
	    throw new InternalError();
	}
    }


    
}

