/*
  copyright(c) 2006 Miki Akiyoshi
  
  This file is part of Miki Memo.
  
  Miki Memo is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  Miki Memo is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with Miki Memo; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  
*/

package jp.dip.ikim.memo ;

import java.util.List ;
import java.util.ArrayList ;
import java.io.* ;
import jp.dip.ikim.core.* ;

public class mkPaperTextBox  extends mkTextBox
{
    static final long serialVersionUID = -2274402387100693722L;

    transient mkApplet _app ;

    public mkPaperTextBox(String arg)
    {
	super(arg) ;
    }

    public void addApplet(mkApplet arg) 
    {
	_app = arg ;
    }

    public void set_text(String arg) 
    {
	super.set_text(arg) ;

	if(_app != null){
	    _app.save() ;
	}
    }
}

